zip_entry_compressedsize
zip_entry_filesize
Zip Functions
PHP Manual

# zip_entry_compressionmethod

(PHP 4 >= 4.1.0, PHP 5 >= 5.2.0, PECL zip >= 1.0.0)

zip_entry_compressionmethod — Retrieve the compression method of a directory entry

### Description

string zip_entry_compressionmethod ( resource `$zip_entry` )

Returns the compression method of the directory entry specified by `zip_entry` .

### Parameters

`zip_entry`

  A directory entry returned by zip_read().

### Return Values

The compression method.

### See Also

- zip_open() - Open a ZIP file archive
- zip_read() - Read next entry in a ZIP file archive

zip_entry_compressedsize
zip_entry_filesize
Zip Functions
PHP Manual